# Created by pyp2rpm-3.3.2
%global pypi_name zope.deferredimport

Name:           python-zope-deferredimport
Version:        4.3.1
Release:        %mkrel 4
Summary:        zope.deferredimport allows you to perform imports names that will only be resolved when used in the code
Group:          Development/Python
License:        ZPL 2.1
URL:            http://github.com/zopefoundation/zope.deferredimport
Source0:        https://files.pythonhosted.org/packages/source/z/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
Often, especially for package modules, you want to import names for
convenience, but not actually perform the imports until necessary.
The zope.deferredimport package provided facilities for defining
names in modules that will be imported from somewhere else when used.
You can also cause deprecation warnings to be issued when a variable
is used.

%package -n     python3-zope-deferredimport
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(repoze.sphinx.autointerface)
Requires:       python3dist(setuptools)
Requires:       python3dist(sphinx)
Requires:       python3dist(zope.proxy)
Requires:       python3dist(zope.testrunner)

%description -n python3-zope-deferredimport
Often, especially for package modules, you want to import names for
convenience, but not actually perform the imports until necessary.
The zope.deferredimport package provided facilities for defining
names in modules that will be imported from somewhere else when used.
You can also cause deprecation warnings to be issued when a variable
is used.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-zope-deferredimport
%license LICENSE.txt
%doc README.rst
%doc html
%{python3_sitelib}/zope
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?-*.pth
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Thu Oct 08 2020 kekepower <kekepower> 4.3.1-4.mga8
+ Revision: 1632716
- Rebuild for new python rpm macros

* Sun Feb 16 2020 umeabot <umeabot> 4.3.1-3.mga8
+ Revision: 1534552
- Mageia 8 Mass Rebuild

* Fri Oct 04 2019 guillomovitch <guillomovitch> 4.3.1-2.mga8
+ Revision: 1449335
- rebuild for python 3.8

* Sun Aug 25 2019 wally <wally> 4.3.1-1.mga8
+ Revision: 1432174
- imported package python-zope-deferredimport

